SET_BIT(9)

NAME
set_bit - Atomically set a bit in memory

SYNOPSIS

void set_bit (int nr, volatile unsigned long * addr);

ARGUMENTS

nr  the bit to set

addr
    the address to start counting from

DESCRIPTION

This function is atomic and may not be reordered. See __set_bit if you do not require the atomic guarantees.

NOTE

there are no guarantees that this function will not be reordered on non x86 architectures, so if you are writting portable code, make sure not to rely on its reordering guarantees.

Note that nr may be almost arbitrarily large; this function is not restricted to acting on a single-word quantity.